#include<bits/stdc++.h>
using namespace std;
int q(int x, int y)
{
    if(x==1) return 1;
    else return (pow(-1,y)*x+q(x-1,x-2));
}
int s(int x)
{
    if(x==1) return 1;
    else return x*s(x-1);
}
int t(int x)
{
    if(x==1) return 1 ;
    else return s(x)+t(x-1);
}
int main()
{
    ifstream fi("dqqt.inp");
    ofstream fo("dqqt.out");
    int n;
    fi>>n;
    fo<<q(n, n+1)<<endl<<t(n);
}
